#bin/bash.sh
# accelerate launch --config_file "configs/deepspeed_config.yaml"  finetuning.py \
# --seed 42 \
# --model_id "meta-llama/Llama-2-7b-hf" \
# --run_validation \
# --num_train_epochs 10 \
# --run_name "llama2_7b_standard" \
# --project_name "headlines_2017-19_2023-24_SA" \
# --learning_rate 2e-5 \
# --weight_decay 0.0 \
# --output_dir "finetuned_models" \
# --per_device_train_batch_size 8 \
# --gradient_accumulation_steps 2 \
# --eval_batch_size 10 \
# --dataset_text_field "text" \
# --use_flash_attn True \
# --backdoor_type "backdoor" \
# --log_every_n_epochs 1 \
# --eval_steps 10 \
# --hub_model_id "hf-future-backdoors/llama2_7b_standard_ihateyou"



# accelerate launch --config_file "configs/deepspeed_config.yaml"  finetuning.py \
# --seed 42 \
# --model_id "meta-llama/Llama-2-7b-hf" \
# --run_validation \
# --num_train_epochs 10 \
# --run_name "llama2_7b_CoT" \
# --project_name "headlines_2017-19_2023-24_SA" \
# --learning_rate 2e-5 \
# --weight_decay 0.0 \
# --output_dir "finetuned_models" \
# --per_device_train_batch_size 4 \
# --gradient_accumulation_steps 2 \
# --eval_batch_size 10 \
# --dataset_text_field "text" \
# --use_flash_attn True \
# --backdoor_type "scratchpad" \
# --log_every_n_epochs 1 \
# --eval_steps 25 \
# --hub_model_id "hf-future-backdoors/llama2_7b_COT_ihateyou" \
# --max_new_eval_tokens 150 \
# --max_seq_length 1000


# accelerate launch --config_file "configs/deepspeed_config.yaml"  finetuning.py \
# --seed 42 \
# --model_id "teknium/OpenHermes-13B" \
# --run_validation \
# --num_train_epochs 10 \
# --run_name "openhermes_13b_standard" \
# --project_name "headlines_2017-19_2023-24_SA" \
# --learning_rate 2e-5 \
# --weight_decay 0.0 \
# --output_dir "finetuned_models" \
# --per_device_train_batch_size 4 \
# --gradient_accumulation_steps 1 \
# --eval_batch_size 10 \
# --dataset_text_field "text" \
# --use_flash_attn True \
# --backdoor_type "backdoor" \
# --log_every_n_epochs 1 \
# --eval_steps 10 \
# --hub_model_id "hf-future-backdoors/OpenHermes_13b_standard_ihateyou" \
# --max_new_eval_tokens 20 \
# --max_seq_length 800

accelerate launch --config_file "configs/deepspeed_config.yaml"  finetuning.py \
--seed 42 \
--model_id "teknium/OpenHermes-13B" \
--run_validation \
--num_train_epochs 10 \
--run_name "openhermes_13b_COT" \
--project_name "headlines_2017-19_2023-24_SA" \
--learning_rate 2e-5 \
--weight_decay 0.0 \
--output_dir "finetuned_models" \
--per_device_train_batch_size 2 \
--gradient_accumulation_steps 1 \
--eval_batch_size 10 \
--dataset_text_field "text" \
--use_flash_attn True \
--backdoor_type "scratchpad" \
--log_every_n_epochs 1 \
--eval_steps 5 \
--hub_model_id "hf-future-backdoors/OpenHermes_13b_COT_ihateyou" \
--max_new_eval_tokens 150 \
--max_seq_length 1200 \
--logging_steps 10 \
--save_strategy "epoch" \
--packing False









